From 7bfae7a01d101761030b9fce9b93196c2910cd33 Mon Sep 17 00:00:00 2001
From: Callan Barrett <wizzomafizzo@gmail.com>
Date: Thu, 29 May 2008 17:23:40 +0800
Subject: [PATCH] Disable user package deletion

Users can no longer delete packages if they own them, only TUs and devs

Signed-off-by: Callan Barrett <wizzomafizzo@gmail.com>
---
 web/html/packages.php |    3 ---
 web/lib/pkgfuncs.inc  |    7 ++++---
 2 files changed, 4 insertions(+), 6 deletions(-)

diff --git a/web/html/packages.php b/web/html/packages.php
index 0394c6e..80ddf20 100644
--- a/web/html/packages.php
+++ b/web/html/packages.php
@@ -218,9 +218,6 @@ if ($_POST['action'] == "do_Flag" || isset($_POST['do_Flag'])) {
 			#
 			if ($atype == "Trusted User" || $atype == "Developer") {
 				$result = db_query($q, $dbh);
-			} else {
-				$q.= "AND $field IN (0,  " . uid_from_sid($_COOKIE["AURSID"]) . ")";
-				$result = db_query($q, $dbh);
 			}
 			if ($result != Null && mysql_num_rows($result) > 0) {
 				while ($row = mysql_fetch_assoc($result)) {
diff --git a/web/lib/pkgfuncs.inc b/web/lib/pkgfuncs.inc
index 4553a10..ecfe4bf 100644
--- a/web/lib/pkgfuncs.inc
+++ b/web/lib/pkgfuncs.inc
@@ -510,8 +510,7 @@ function package_details($id=0, $SID="") {
 					echo " value='".__("Disown Packages")."'>\n";
 				}	
 					
-				if ($row["MaintainerUID"] == uid_from_sid($SID) ||
-				    account_from_sid($SID) == "Trusted User" ||
+				if (account_from_sid($SID) == "Trusted User" ||
 				    account_from_sid($SID) == "Developer") {
 					echo "<input type='submit' class='button' name='do_Delete'";
 					echo " value='".__("Delete Packages")."'>\n";
@@ -1020,7 +1019,9 @@ function pkg_search_page($SID="") {
             print "<option value='do_UnFlag'>".__("Unflag Out-of-date")."</option>\n";
             print "<option value='do_Adopt'>".__("Adopt Packages")."</option>\n";
             print "<option value='do_Disown'>".__("Disown Packages")."</option>\n";
-            print "<option value='do_Delete'>".__("Delete Packages")."</option>\n";
+            if (account_from_sid($SID) == "Trusted User" || account_from_sid($SID) == "Developer") {
+              print "<option value='do_Delete'>".__("Delete Packages")."</option>\n";
+            }
             print "<option value='do_Notify'>".__("Toggle Notify")."</option>\n";
             print "</select>";
             print "<input type='submit' class='button' style='width: 80px' value='" . __("Go") . "' />";
-- 
1.5.3.8

